import {FC} from "react";
import star from '@/static/img/star.png'
import starLine from '@/static/img/starLine.png'
import {Image, View} from "@tarojs/components";
import styles from './collect.module.scss'

interface Props {
  onClick?: () => void
  select?: boolean
}

/** 收藏 */
const Collect: FC<Props> = (props) => {
  return (
    <View className={styles.collect}>
      <Image src={props.select ? star : starLine}/>
      {props.select ? '已收藏' : '收藏'}
    </View>
  )
}

export default Collect
